<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Section divider element map
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_get_vc_map_row_divider' ) ) {
	function cheshalo_get_vc_map_row_divider() {
		return array(
			'name' => esc_html__( 'Section divider', 'cheshalo'),
			'base' => 'cheshalo_row_divider',
			'category' => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Divider for sections', 'cheshalo' ),
			'icon' => CHESHALO_ASSETS . '/images/vc-icon/section-divider.svg',
			'params' => array(
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'General options', 'cheshalo' ),
					'param_name' => 'general_divider'
				),
				array(
					'type' => 'cheshalo_css_id',
					'param_name' => 'cheshalo_css_id'
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__( 'Position', 'cheshalo' ),
					'param_name' => 'position',
					'value' => array(
						esc_html__( 'Top', 'cheshalo' ) => 'top',
						esc_html__( 'Bottom', 'cheshalo' ) => 'bottom'
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_image_select',
					'heading' => esc_html__( 'Button style', 'cheshalo' ),
					'param_name' => 'style',
					'value' => array(
						esc_html__( 'Waves Small', 'cheshalo' ) => 'waves-small',
						esc_html__( 'Waves Wide', 'cheshalo' ) => 'waves-wide',
						esc_html__( 'Curved Line', 'cheshalo' ) => 'curved-line',
						esc_html__( 'Triangle', 'cheshalo' ) => 'triangle',
						esc_html__( 'Clouds', 'cheshalo' ) => 'clouds',
						esc_html__( 'Diagonal Right', 'cheshalo' ) => 'diagonal-right',
						esc_html__( 'Diagonal Left', 'cheshalo' ) => 'diagonal-left',
						esc_html__( 'Half Circle', 'cheshalo' ) => 'half-circle',
						esc_html__( 'Paint Stroke', 'cheshalo' ) => 'paint-stroke',
						esc_html__( 'Sweet wave', 'cheshalo' ) => 'sweet-wave'
					),
					'images_value' => array(
						'waves-small' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/waves-small.png',
						'waves-wide' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/waves-wide.png',
						'curved-line' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/curved-line.png',
						'triangle' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/triangle.png',
						'clouds' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/clouds.png',
						'diagonal-right' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/diagonal-right.png',
						'diagonal-left' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/diagonal-left.png',
						'half-circle' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/half-circle.png',
						'paint-stroke' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/paint-stroke.png',
						'sweet-wave' => CHESHALO_ASSETS_IMAGES . '/settings/dividers/sweet-wave.png',
					),
					'wood_tooltip' => true,
					'std' => 'waves-small',
					'edit_field_class' => 'vc_col-xs-12 vc_column divider',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Custom height', 'cheshalo' ),
					'param_name' => 'custom_height',
					'dependency' => array(
						'element' => 'style',
						'value' => array( 'curved-line', 'diagonal-right', 'half-circle', 'diagonal-left', 'sweet-wave' )
					),
					'hint' => esc_html__( 'Enter divider height (Note: CSS measurement units allowed).', 'cheshalo' )
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Overlap', 'cheshalo' ),
					'param_name' => 'content_overlap',
					'true_state' => 'enable',
					'false_state' => 'disable',
					'default' => 'disable',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_colorpicker',
					'heading' => esc_html__( 'Color', 'cheshalo' ),
					'hint' => esc_html__( 'We recommend you to set the same color as your row’s background color for the best effect.', 'cheshalo' ),
					'param_name' => 'color',
					'css_args' => array(
						'fill' => array(
							' svg',
						),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				),
			),
		);
	}
}
