<?php
/**
 * WooPayments
 *
 * @package cheshalo
 */

use WCPay\MultiCurrency\MultiCurrency;

if ( ! defined( 'WCPAY_VERSION_NUMBER' ) ) {
	return;
}

if ( ! function_exists( 'cheshalo_wcpay_convert_price_limit' ) ) {
	/**
	 * Converse shipping progress bar limit.
	 *
	 * @param float $limit
	 * @return float
	 */
	function cheshalo_wcpay_convert_price_limit( $limit ) {
		$limit *= MultiCurrency::instance()->get_selected_currency()->get_rate();

		return $limit;
	}

	add_action( 'cheshalo_shipping_progress_bar_amount', 'cheshalo_wcpay_convert_price_limit' );
}
